#include <stdio.h>

/* provjerava sadrzi li x u bazi b sve znamenke od 0 do b-1 barem jednom */
/* rjesenje s nizovima */

/* BITNA NAPOMENA: Ovo rjesenje je POGRESNO, jer
     (a) NE RADI za baze b > 100,
     (b) koristi DODATNE NIZOVE, sto je zabranjeno uputom.
   Takvo rjesenje vrijedi 0 bodova!
*/

int sveznamenkast_nizovi(long x, long b)
{
    int znamenke[100] = {0};
    int brRazlicitihZnam = 0;

    while (x > 0)
    {
        /* ako se ova znamenka prvi put pojavljuje */
        if (!znamenke[x%b])
            brRazlicitihZnam++;

        znamenke[x%b]++;
        x /= b;
    }

    /* ako imamo tocno b razlicitih znamenki, broj je sveznamenkast */
    return (brRazlicitihZnam == b);
}

/* provjerava sadrzi li x u bazi b sve znamenke od 0 do b-1 barem jednom */
/* rjesenje bez nizova */
int sveznamenkast(long x, long b)
{
    int br;
    long i, tmp = x;

    for (i = 0; i < b; ++i)
    {
        x = tmp;
        br = 0;
        while (x > 0)
        {
            if (x%b == i)
                br++;
            x /= b;
        }
        if (br == 0) return 0; /* znamenka i se ne pojavljuje uopce */
    }

    /* ako smo dosli do ovdje, znaci da je broj sveznamenkast */
    return 1;
}

int main()
{
    long a, b, x;

    scanf("%d %d", &a, &b);
    long koliko = 0;

    for (x = a; x <= b; ++x)
        if ( sveznamenkast(x, 10) )
            koliko++;

    if (!koliko)
        printf("Ne postoji nijedan broj izmedju %ld i %ld koji je sveznamenkast u bazi 10.\n", a, b);
    else
        printf("Izmedju %ld i %ld ima %ld sveznamenkastih brojeva u bazi 10.\n", a, b, koliko);

    return 0;
}
