#include <stdio.h>

/* provjerava sadrzi li x u bazi b sve znamenke od 1 do b-1 tocno jednom,
   a nulu proizvoljno mnogo puta */
/* rjesenje s nizovima */

/* BITNA NAPOMENA: Ovo rjesenje je POGRESNO, jer
     (a) NE RADI za baze b > 100,
     (b) koristi DODATNE NIZOVE, sto je zabranjeno uputom.
   Takvo rjesenje vrijedi 0 bodova!
*/

int sveznamenkast_nizovi(long x, long b)
{
    int znamenke[100] = {0};
    int brZnam = 0;

    while (x > 0)
    {
        if (!(x%b)) /* nula nas ne zanima */
        {
            x /= b;
            continue;
        }

        /* ako je broj vec imao ovu znamenku razlicitu od nule, ne moze biti sveznamenkast */
        if (znamenke[x%b])
            return 0;

        znamenke[x%b] = 1;
        brZnam++;
        x /= b;
    }

    /* ako imamo tocno b-1 znamenki, broj je sveznamenkast jer su sve morale biti razlicite (nulu ne racunamo) */
    return (brZnam == b-1);
}

/* provjerava sadrzi li x u bazi b sve znamenke od 1 do b-1 tocno jednom,
   a nulu proizvoljno mnogo puta */
/* rjesenje bez nizova */
int sveznamenkast(long x, long b)
{
    int br;
    long i, tmp = x;

    for (i = 1; i < b; ++i)
    {
        x = tmp;
        br = 0;
        while (x > 0)
        {
            if (x%b == i)
                br++;
            if (br > 1) /* znamenka i se pojavljuje vise puta */
                return 0;

            x /= b;
        }
        if (br == 0) return 0; /* znamenka i se ne pojavljuje uopce */
    }

    /* ako smo dosli do ovdje, znaci da je broj sveznamenkast */
    /* znamenku nula nismo ni brojali */
    return 1;
}

int main()
{
    long a, b, x;

    scanf("%d %d", &a, &b);
    long koliko = 0;

    for (x = a; x <= b; ++x)
        if ( sveznamenkast(x, 16) )
            koliko++;

    if (!koliko)
        printf("Ne postoji nijedan broj izmedju %ld i %ld koji je sveznamenkast u bazi 16.\n", a, b);
    else
        printf("Izmedju %ld i %ld ima %ld sveznamenkastih brojeva u bazi 16.\n", a, b, koliko);

    return 0;
}
