#include <stdio.h>

// .. Grupa A
void prebroji( char A[], int n, int *broj_pasnjaka, int *broj_ovaca, int *broj_vukova )
{
	int i;
	*broj_pasnjaka = *broj_ovaca = *broj_vukova = 0;

	for( i = 1; i < n; ++i )
		if( A[i] == '#' )
			++(*broj_pasnjaka);
		else if( A[i] == 'O' )
			++(*broj_ovaca);
		else
			++(*broj_vukova);
}

void vukovi( char A[], int n )
{
	// Zapamti gdje pocinje (prvi) pasnjak.
	int pocetak_pasnjaka = 1, broj_ovaca = 0, broj_vukova = 0, i, j;
	
	for( i = 1; i < n; ++i )
		if( A[i] == 'O' ) // Naisli smo na ovcu.
			++broj_ovaca; 
		else if( A[i] == 'V' ) // Naisli smo na vuka.
			++broj_vukova;
		else // Naisli smo na ogradu, A[i] == '#'.
		{
			// Provjeravamo da li od pocetka pasnjaka ima vise vukova nego ovaca.
			if( broj_vukova >= broj_ovaca )
				// Ako da, brisemo sve ovce od pocetka pasnjaka do ove ograde na indexu i.
				for( j = pocetak_pasnjaka; j < i; ++j )
					if( A[j] == 'O' )
						A[j] = '.';

			// Iduci pasnjak pocinje na indexu i+1 (na indexu i je ograda).
			pocetak_pasnjaka = i+1;
			broj_ovaca = 0;
			broj_vukova = 0;
		}
}


// .. Grupa B
void koliko( char B[], int n, int *broj_zica, int *broj_ptica, int *broj_kabela )
{
	int i;
	*broj_zica = *broj_ptica = *broj_kabela = 0;

	for( i = 1; i < n; ++i )
		if( B[i] == 'S' )
			++(*broj_zica);
		else if( B[i] == 'P' )
			++(*broj_ptica);
		else
			++(*broj_kabela);
}

void leti( char B[], int n )
{
	// Zapamti gdje pocinje (prva) zica.
	int pocetak_zice = 1, broj_ptica = 0, broj_kabela = 0, i, j;
	
	for( i = 1; i < n; ++i )
		if( B[i] == 'P' ) // Naisli smo na pticu.
			++broj_ptica; 
		else if( B[i] == '-' ) // Naisli smo na kabel.
			++broj_kabela;
		else // Naisli smo na stup, B[i] == 'S'.
		{
			// Provjeravamo da li od pocetka zice ima vise ptica nego kabela.
			if( broj_ptica >= broj_kabela )
				// Ako da, micemo sve ptice od pocetka zice do ovog stupa na indexu i.
				for( j = pocetak_zice; j < i; ++j )
					if( B[j] == 'P' )
						B[j] = '-';

			// Iduca zica pocinje na indexu i+1 (na indexu i je stup).
			pocetak_zice = i+1;
			broj_ptica = 0;
			broj_kabela = 0;
		}
}


// .. Grupa C
void broji( char C[], int n, int *broj_igara, int *broj_krizica, int *broj_kruzica )
{
	int i;
	*broj_igara = *broj_krizica = *broj_kruzica = 0;

	for( i = 1; i < n; ++i )
		if( C[i] == '!' )
			++(*broj_igara);
		else if( C[i] == 'x' )
			++(*broj_krizica);
		else
			++(*broj_kruzica);
}

void igra( char C[], int n )
{
	// Zapamti gdje pocinje (prva) igra.
	int pocetak_igre = 1, broj_krizica = 0, broj_kruzica = 0, i, j;
	
	for( i = 1; i < n; ++i )
		if( C[i] == 'x' ) // Naisli smo na krizic.
			++broj_krizica; 
		else if( C[i] == 'o' ) // Naisli smo na kruzic.
			++broj_kruzica;
		else // Naisli smo na rub igre, C[i] == '!'.
		{
			// Provjeravamo da li od pocetka igre ima nejednako mnogo krizica i kruzica. (Lakse ali dulje je s dva if-a.)
			if( broj_krizica != broj_kruzica )
				// Ako da, idemo od pocetka igre do ovog ruba na indexu i, te zamijenjujemo ono sto treba.
				for( j = pocetak_igre; j < i; ++j )
					if( C[j] == ( broj_krizica < broj_kruzica ? 'x' : 'o' ) )
						C[j] = ( broj_krizica < broj_kruzica ? 'o' : 'x' );

			// Iduca igra pocinje na indexu i+1 (na indexu i je rub igre).
			pocetak_igre = i+1;
			broj_krizica = 0;
			broj_kruzica = 0;
		}
}


// .. Grupa D
void izbroji( char D[], int n, int *broj_testova, int *broj_tocnih, int *broj_netocnih )
{
	int i;
	*broj_testova = *broj_tocnih = *broj_netocnih = 0;

	for( i = 1; i < n; ++i )
		if( D[i] == 'T' )
			++(*broj_testova);
		else if( D[i] == '+' )
			++(*broj_tocnih);
		else
			++(*broj_netocnih);
}

void test( char D[], int n )
{
	// Zapamti gdje pocinje (prvi) test.
	int pocetak_testa = 1, broj_tocnih = 0, broj_netocnih = 0, i, j;
	
	for( i = 1; i < n; ++i )
		if( D[i] == '+' ) // Naisli smo na tocan odgovor.
			++broj_tocnih; 
		else if( D[i] == '-' ) // Naisli smo na netocan odgovor.
			++broj_netocnih;
		else // Naisli smo na rub testa, D[i] == 'T'.
		{
			// Idemo od pocetka testa do ovog ruba na indexu i zamijenjujemo ono sto treba. (Lakse ali dulje je s dva if-a.)
			for( j = pocetak_testa; j < i; ++j )
				if( D[j] == ( broj_tocnih >= broj_netocnih ? '-' : '+' ) )
					D[j] = ( broj_tocnih >= broj_netocnih ? '+' : '-' );

			// Iduci test pocinje na indexu i+1 (na indexu i je rub testa).
			pocetak_testa = i+1;
			broj_tocnih = 0;
			broj_netocnih = 0;
		}
}

int main( void )
{
	char A[] = "#VVO#OV#VOO#", B[] = "SP--S-PS-PPS", C[] = "!xox!xo!xoo!", D[] = "T++-T-+T--+T";
	int a, b, c;

	prebroji( A, 12, &a, &b, &c ); vukovi( A, 12 );
	printf( "Grupa A: %d %d %d %s\n\n", a, b, c, A );

	koliko( B, 12, &a, &b, &c ); leti( B, 12 );
	printf( "Grupa B: %d %d %d %s\n\n", a, b, c, B );

	broji( C, 12, &a, &b, &c ); igra( C, 12 );
	printf( "Grupa C: %d %d %d %s\n\n", a, b, c, C );

	izbroji( D, 12, &a, &b, &c ); test( D, 12 );
	printf( "Grupa D: %d %d %d %s\n\n", a, b, c, D );

	return 0;
}
